#
# spec file for package python-pytest-twisted
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-pytest-twisted
Version:        1.14.3
Release:        1.3
Summary:        Pytest Plugin for Twisted
License:        BSD-2-Clause
URL:            https://github.com/pytest-dev/pytest-twisted
Source:         https://github.com/pytest-dev/pytest-twisted/archive/v%{version}.tar.gz#/pytest-twisted-%{version}-gh.tar.gz
# PATCH-FIX-OPENSUSE pytest-twisted-ignorepy310DeprecationWarnings.patch -- upstream wants this fixed in twisted itself -- gh#pytest-dev/pytest-twisted/146
Patch0:         pytest-twisted-ignorepy310DeprecationWarnings.patch
BuildRequires:  %{python_module Twisted}
BuildRequires:  %{python_module decorator}
BuildRequires:  %{python_module greenlet}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest >= 2.3}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-Twisted
Requires:       python-decorator
Requires:       python-greenlet
Requires:       python-pytest >= 2.3
BuildArch:      noarch
%python_subpackages

%description
pytest-twisted is a plugin for pytest, which allows to test code,
which uses the twisted framework. test functions can return Deferred
objects and pytest will wait for their completion with this plugin.

%prep
%autosetup -p1 -n pytest-twisted-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest -k 'not test_async_fixture_module_scope'

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pytest_twisted
%{python_sitelib}/pytest_twisted-%{version}.dist-info

%changelog
* Thu Oct 24 2024 Dirk Müller <dmueller@suse.com>
- update to 1.14.3:
  * update for deprecation of `twisted.internet.defer.returnValue
  * refactor project layout
* Sun Aug 18 2024 Dirk Müller <dmueller@suse.com>
- update to 1.14.2:
  * Correct a bug exposed by pytest 8.2.0+.
* Tue May  7 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to pyproject macros.
- Skip a broken test with pytest >= 8.1.
* Thu Mar 21 2024 Dirk Müller <dmueller@suse.com>
- update to 1.14.1:
  * Drop pypy 2.7
  * add pypy 3.9
  * add python 3.11
  * CI fixes
* Wed May 17 2023 Dirk Müller <dmueller@suse.com>
- update to 1.8:
  * Drop support for EOL Python 2.6
  * Fix assertion in tests, add new test for blockon usage in
    fixture
  * Fixed blockon lock #24
  * Added ``qt5reactor`` support
- drop pytest-twisted-pr148-pytest7.patch (upstream)
* Mon Mar 28 2022 Ben Greiner <code@bnavigator.de>
- Add add pytest-twisted-pr148-pytest7.patch
  * gh#pytest-dev/pytest-twisted#148
* Thu Jan  6 2022 Ben Greiner <code@bnavigator.de>
- Update to 1.13.4
  * no release notes
- Add pytest-twisted-ignorepy310DeprecationWarnings.patch
  gh#pytest-dev/pytest-twisted/146
* Thu Nov  5 2020 Marketa Machova <mmachova@suse.com>
- Update to 1.13.2
  * code improvements, bugfixes and cleanup
* Mon Mar  2 2020 Tomáš Chvátal <tchvatal@suse.com>
- Skip tests that fail with pytest 5.x series
* Thu Nov 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.12:
  * Various bugfixes and updates
- Update spec file to match up reality
* Tue Jul 11 2017 tbechtold@suse.com
- update to 1.5
- convert to singlespec
* Sat Jan 18 2014 toms@opensuse.org
- Initial version 1.4
